Support » Plugin: Robokassa payment gateway for Woocommerce » Ошибка функции has_cap

  • ошибка “Функция has_cap вызвана с аргументом, который считается устаревшим с версии 2.0.0! Использование уровней для пользователей устарело. Используйте возможности..”

    по трассировке вижу что ошибку вызывает wp_robokassa.php строка 182
    add_submenu_page('main_settings_rb.php', 'Основные настройки', 'Основные настройки', 8, 'robokassa_payment_main_rb', 'robokassa_payment_main_settings');

    в этом же файле на строках 17,22,29 непонятные обратные слэши \
    ошибка в дебаге – wp_enqueue_style was called incorrectly

Viewing 1 replies (of 1 total)
  • Пожалуйста уберите все 8 (вместо них ‘edit_pages’) в функции robokassa_payment_initMenu()

    и сделайте нормальное подключение стилей админки, сейчас они подключаются слишком рано, насколько я понимаю.

    Спасибо

    • This reply was modified 8 months, 1 week ago by  vguns.
Viewing 1 replies (of 1 total)
  • The topic ‘Ошибка функции has_cap’ is closed to new replies.